The latest service changes have not yet been reflected in this content. We will update the content as soon as possible. Please refer to the Korean version for information on the latest updates.
Available in Classic and VPC
Get the usage limits for each resource applied to an account.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | /open-api/v1/policy/allotment/{memberNo}/{regionNo} |
Request headers
For information about the headers common to all Organization APIs, see Organization request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
memberNo |
Integer | Required | Account member ID
|
regionNo |
String | Required | Region number
|
Request example
The request example is as follows:
curl --location --request GET 'https://organization.apigw.ntruss.com/open-api/v1/policy/allotment/260****/1' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Accept: application/json'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
resourceTypeCode |
String | - | Resource code |
resourceName |
String | - | Resource name |
customResourceName |
String | - | Resource name
|
lowerResourceName |
String | - | Child resource name |
resourceCategoryTypeCode |
String | - | Resource category code |
resourceQuotaDetailConfigYn |
String | - | Whether resource detailed settings are required
|
sortOrder |
Integer | - | List sort order |
useYn |
String | - | Resource usage status
|
exposureYn |
String | - | Resource exposure status
|
restrictionUnitCode |
String | - | Usage limit unit code |
restrictionUnitDescription |
String | - | Usage limit unit code description |
resourceQuotaList |
Array | - | Resource usage limit: resourceQuotaList |
resourceQuotaDetailList |
Array | - | Resource type usage limit: resourceQuotaDetailList
|
resourceQuotaList
The following describes resourceQuotaList.
| Field | Type | Required | Description |
|---|---|---|---|
policyNo |
String | - | Policy number |
resourceQuotaSequence |
String | - | Usage limit serial number |
regionNo |
String | - | Region number |
resourceTypeCode |
String | - | Resource code |
restrictionCount |
Integer | - | Usage limits |
resourceQuotaDetailList
The following describes resourceQuotaDetailList.
| Field | Type | Required | Description |
|---|---|---|---|
policyNo |
String | - | Policy number |
resourceQuotaSequence |
String | - | Usage limit serial number |
regionNo |
String | - | Region number |
resourceTypeCode |
String | - | Resource code |
productTypeCodeName |
String | - | Resource type |
productTypeDetailCodeName |
String | - | Resource detailed type |
generationCode |
String | - | Generation type code
|
restrictionCount |
Integer | - | Usage limits |
Response status codes
For response status codes common to all Organization APIs, see Organization response status codes.
Response example
The response example is as follows:
[
{
"resourceTypeCode": "SVR",
"resourceName": "Server",
"customResourceName": "Server",
"lowerResourceName": null,
"resourceCategoryTypeCode": "COMPUTE",
"resourceQuotaDetailConfigYn": "Y",
"sortOrder": 1,
"useYn": "Y",
"exposureYn": "Y",
"restrictionUnitCode": "COUNT",
"restrictionUnitDescription": "Number of server creations",
"resourceQuotaList": [
{
"policyNo": "1",
"resourceQuotaSequence": "18",
"regionNo": "1",
"resourceTypeCode": "SVR",
"restrictionCount": 50
}
],
"resourceQuotaDetailList": [
{
"policyNo": "1",
"resourceQuotaSequence": "18",
"regionNo": "1",
"resourceTypeCode": "SVR",
"productTypeCodeName": "BareMetal",
"productTypeDetailCodeName": "BareMetal",
"generationCode": "G1",
"restrictionCount": 5
},
{
"policyNo": "1",
"resourceQuotaSequence": "18",
"regionNo": "1",
"resourceTypeCode": "SVR",
"productTypeCodeName": "CPU",
"productTypeDetailCodeName": "CPU",
"generationCode": "G1",
"restrictionCount": 5
}
...
]
},
{
"resourceTypeCode": "PBLIP",
"resourceName": "Public IP",
"customResourceName": "Public IP",
"lowerResourceName": null,
"resourceCategoryTypeCode": "COMPUTE",
"resourceQuotaDetailConfigYn": "N",
"sortOrder": 12,
"useYn": "Y",
"exposureYn": "Y",
"restrictionUnitCode": "REL_COUNT",
"restrictionUnitDescription": "Number of public IP creations",
"resourceQuotaList": [
{
"policyNo": null,
"resourceQuotaSequence": null,
"regionNo": "1",
"resourceTypeCode": "PBLIP",
"restrictionCount": 100
}
],
"resourceQuotaDetailList": []
},
...
]